package com.dev.swms.server.model.abstractEntity;

import java.util.Date;

import com.dev.energy.server.model.Entity;
import com.dev.energy.server.model.EntityFactory;
import com.dev.swms.server.model.base.Item;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.base.WarehouseArea;

public class BomAccountLog extends Entity{
	
	
	/**
	 * BOM工位清单
	 */
	private static final long serialVersionUID = -8574084910214266920L;
	private String code;//完成品型式名
	private String name;//完成品品番
	private  BigItem bigItem;//完成品品番
	
	private Item item;//部品品番
	private String itemName;//品名
	private BomList bomList;//
	private String specs;//A/C
	private String content;//加工内容
	private String bonded;//税别
	private String single;//单用
	private Warehouse warehouse;//仓库
	private WarehouseArea zone;//接收仓库仓库
	private WarehouseArea zone1;//出库仓库
	private String outType;//出库类型
	private String  prophase;//送货提前期
	private String description;//备注
	private String strExtend1;//工位
	private String strExtend2;//投料区
	private String strExtend3;//部品种类
	private String strExtend4;
	private String strExtend5;//操作日期
	private String createPeople;
	/**制造库位*/
	private Location zzkw;
	private Date createDate;
	/**缓存库位*/
	private Location hckw;
	
	/**引用ID*/
	private Long baId;
	/**操作*/
	private String operType;
	
	
	public Long getBaId() {
		return baId;
	}
	public void setBaId(Long baId) {
		this.baId = baId;
	}
	public String getOperType() {
		return operType;
	}
	public void setOperType(String operType) {
		this.operType = operType;
	}
	public Location getHckw() {
		return hckw;
	}
	public void setHckw(Location hckw) {
		this.hckw = hckw;
	}
	public Location getZzkw() {
		return zzkw;
	}
	public void setZzkw(Location zzkw) {
		this.zzkw = zzkw;
	}
	public String getCreatePeople() {
		return createPeople;
	}
	public void setCreatePeople(String createPeople) {
		this.createPeople = createPeople;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	public WarehouseArea getZone1() {
		return zone1;
	}
	public void setZone1(WarehouseArea zone1) {
		this.zone1 = zone1;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getSpecs() {
		return specs;
	}
	public void setSpecs(String specs) {
		this.specs = specs;
	}
	public Item getItem() {
		return item;
	}
	public void setItem(Item item) {
		this.item = item;
	}
	public String getItemName() {
		return itemName;
	}
	public void setItemName(String itemName) {
		this.itemName = itemName;
	}
	public BomList getBomList() {
		return bomList;
	}
	public void setBomList(BomList bomList) {
		this.bomList = bomList;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public String getBonded() {
		return bonded;
	}
	public void setBonded(String bonded) {
		this.bonded = bonded;
	}
	public String getSingle() {
		return single;
	}
	public void setSingle(String single) {
		this.single = single;
	}
	public Warehouse getWarehouse() {
		return warehouse;
	}
	public void setWarehouse(Warehouse warehouse) {
		this.warehouse = warehouse;
	}
	public WarehouseArea getZone() {
		return zone;
	}
	public void setZone(WarehouseArea zone) {
		this.zone = zone;
	}
	public String getOutType() {
		return outType;
	}
	public void setOutType(String outType) {
		this.outType = outType;
	}
	public String getProphase() {
		return prophase;
	}
	public void setProphase(String prophase) {
		this.prophase = prophase;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public String getStrExtend1() {
		return strExtend1;
	}
	public void setStrExtend1(String strExtend1) {
		this.strExtend1 = strExtend1;
	}
	public String getStrExtend2() {
		return strExtend2;
	}
	public void setStrExtend2(String strExtend2) {
		this.strExtend2 = strExtend2;
	}
	public String getStrExtend3() {
		return strExtend3;
	}
	public void setStrExtend3(String strExtend3) {
		this.strExtend3 = strExtend3;
	}
	public String getStrExtend4() {
		return strExtend4;
	}
	public void setStrExtend4(String strExtend4) {
		this.strExtend4 = strExtend4;
	}
	public String getStrExtend5() {
		return strExtend5;
	}
	public void setStrExtend5(String strExtend5) {
		this.strExtend5 = strExtend5;
	}
	
	
}
